/**
 * {}
 * @author yutent<yutent.io@gmail.com>
 * @date 2023/12/19 16:53:27
 */

import { html, css, Component, range } from 'wkit'
import { watch } from 'wkitd'

import '../components/titlebar.js'

class Deliver extends Component {
  static styles = [
    css`
      :host {
        display: flex;
        position: fixed;
        left: calc(50vw - 512px);
        top: calc(50vh - 380px);
        z-index: 2;
        width: 1024px;
        height: 760px;
        font-size: 14px;
        color: var(--color-dark-1);
        -webkit-user-select: none;
        user-select: none;
      }

      .container {
        display: flex;
        flex-direction: column;
        width: 100%;
        height: 100%;
        border-radius: 8px;
        background: rgba(233, 233, 233, 0.9);
        box-shadow: 0 0 12px rgba(0, 0, 0, 0.1);

        --titlebar-background: #fff;
      }

      ul,
      menu,
      li {
        list-style: none;
      }
    `
  ]
  render() {
    return html`
      <div class="container">
        <wc-titlebar minimize></wc-titlebar>
      </div>
    `
  }
}

Deliver.reg('deliver')
